
Foreman - Bug #2175

Import of two empty envs in fresh installation results in excessive updates to the database

02/03/2013 12:31 PM - Dennis Jacobfeuerborn

Status: New   

Priority: Normal   

Assignee:    

Category: Importers   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In 1.1rc5 when importing the empty production and development environments of a fresh setup through the locally running proxy the

disk start thrashing for 30 seconds before succeeding to import the env's.

When that happens I can see /var/lib/foreman/db/production.* changing a lot so apparently there is a lot of work done in the

database event though the environments are completely empty and the installation itself is pristine and has not any host defined yet.

History

#1 - 02/03/2013 12:41 PM - Dennis Jacobfeuerborn

Actually the environments aren't empty but contain the classes of the foreman installer.

Still for 8 classes the i/o involved seems to be excessive.

#2 - 07/12/2018 06:43 AM - Ohad Levy

- Description updated

- Assignee deleted (Ohad Levy)

- Triaged set to No
